## orca 48~beta

=== debian/changelog ===
orca (48~beta-1) experimental; urgency=medium

  * New upstream beta release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 06 Feb 2025 01:29:37 +0100

orca (48~alpha-1) experimental; urgency=medium

  * New upstream alpha release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Jan 2025 00:53:32 +0100

=== debian/control ===
Source: orca
Section: gnome
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
           Samuel Thibault <sthibault@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13), meson, git,
               dh-sequence-python3,
               dh-sequence-gnome,
               gettext,
               libatk-bridge2.0-dev (>= 2.50.0~),
               libatspi2.0-dev (>= 2.50.0~),
               libgstreamer1.0-dev,
               pkgconf,
               python3,
               python-gi-dev,
               gir1.2-gtk-3.0,
               python3-brlapi,
               python3-louis, liblouis-dev,
               python3-speechd,
               yelp-tools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/orca
Vcs-Git: https://salsa.debian.org/gnome-team/orca.git
Homepage: https://wiki.gnome.org/Projects/Orca

Package: orca
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-wnck-3.0,
         gir1.2-gstreamer-1.0, gstreamer1.0-plugins-good,
         gir1.2-atspi-2.0 (>= 2.50.0~),
         python3-brlapi,
         python3-cairo,
         python3-gi,
         python3-louis,
         at-spi2-core (>= 2.50.0~),
         python3-speechd,
         speech-dispatcher,
         gsettings-desktop-schemas,
         xkbset,
Recommends: xbrlapi
Suggests: brltty
Description: Scriptable screen reader
 A flexible, extensible, and powerful assistive technology that
 provides end-user access to applications and toolkits that support the
 AT-SPI (e.g., the GNOME desktop).
 .
 Orca defines a set of default behaviors (reactions to application events) and
 key bindings (reaction to user key presses). These default behaviors and key
 bindings can be overwritten on a per-application basis. Orca creates a script
 object for each running application, which merges both the default behaviors
 and key bindings, and the application specific ones. Orca provides the
 infrastructure to activate and deactivate scripts, as well as a host of
 services accessible from within the scripts.

## orca 48.0

=== meson_options.txt ===
option('spiel',
  description: 'Build experimental Spiel support',
         type: 'boolean',
        value: false,
)

=== debian/changelog ===
orca (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity.
    + Revert "control: Add xkbset dependency (Closes #972621)" This is in
      universe in Ubuntu so we can't depend on it. It's silently skipped if
      not available.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 18 Mar 2025 10:09:34 +0100

orca (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Mar 2025 20:21:17 +0100

orca (48~rc-1) experimental; urgency=medium

  * New upstream RC release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Mar 2025 20:42:24 +0100

orca (48~beta-1ubuntu1) plucky; urgency=medium

  [ Alessandro Astone ]
  * Merge with Debian. Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity.
    + Revert "control: Add xkbset dependency (Closes #972621)" This is in
      universe in Ubuntu so we can't depend on it. It's silently skipped if
      not available.
  * Rebase patches

  [ Jeremy Bícha ]
  * debian/salsa-ci.yml: Use Ubuntu pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 17:25:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: orca
 Section: gnome
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), meson, git,
@@ -44,7 +45,6 @@
          python3-speechd,
          speech-dispatcher,
          gsettings-desktop-schemas,
-         xkbset,
 Recommends: xbrlapi
 Suggests: brltty
 Description: Scriptable screen reader

## orca 48.1

=== ci/requirements.txt ===
ruff
mypy
types-psutil

=== debian/changelog ===
orca (48.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2025 22:53:25 +0200

orca (48.1-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2025 17:54:28 +0200

orca (48.0-3) unstable; urgency=medium

  * control: Add python3-dbus dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 03:28:36 +0200

orca (48.0-2) unstable; urgency=medium

  * No-change upload to build on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Mar 2025 09:38:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: orca
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), meson, git,
@@ -43,8 +42,10 @@
          python3-louis,
          at-spi2-core (>= 2.50.0~),
          python3-speechd,
+         python3-dbus,
          speech-dispatcher,
          gsettings-desktop-schemas,
+         xkbset,
 Recommends: xbrlapi
 Suggests: brltty
 Description: Scriptable screen reader

## orca 49~alpha

=== debian/changelog ===
orca (49~alpha-1) experimental; urgency=medium

  * New upstream alpha release
    - control: Add python3-dasbus build-dependency and dependency.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jul 2025 01:01:13 +0200

orca (48.6-1) experimental; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jun 2025 09:00:47 +0200

orca (48.5-1) experimental; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jun 2025 15:32:17 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                python3-brlapi,
                python3-louis, liblouis-dev,
                python3-speechd,
+               python3-dasbus,
                yelp-tools
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -42,6 +43,7 @@
          python3-louis,
          at-spi2-core (>= 2.50.0~),
          python3-speechd,
+         python3-dasbus,
          python3-dbus,
          speech-dispatcher,
          gsettings-desktop-schemas,

## orca 49~beta

=== debian/changelog ===
orca (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream beta release
  * d/rules: Do not enable systemd service by default
  * d/p/unity-a11y.patch: Rebase patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 12 Aug 2025 15:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: orca
 Section: gnome
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), meson, git,
@@ -47,7 +48,6 @@
          python3-dbus,
          speech-dispatcher,
          gsettings-desktop-schemas,
-         xkbset,
 Recommends: xbrlapi
 Suggests: brltty
 Description: Scriptable screen reader

## orca 49.0

=== debian/changelog ===
orca (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 17 Sep 2025 23:20:50 +0200

orca (49~beta-1) experimental; urgency=medium

  [ Alessandro Astone ]
  * New upstream beta release
  * d/rules: Do not enable systemd service by default

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Aug 2025 23:23:26 +0200

orca (48.1-2) unstable; urgency=medium

  * control: Add python3-setproctitle and python3-psutil dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Aug 2025 23:00:42 +0200

## orca 49.1

=== ci/requirements.txt ===
# These are Python packages that are just used during the CI: linters, type checkers, etc.
#
# These are installed in a separate Python environment (see
# ci/install-python-tools.sh), not as packages from the system's
# installation of Python, because not all of the following packages
# are available as distro RPMS.

ruff
mypy
types-psutil

=== debian/changelog ===
orca (49.1-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125336).
    Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity.
    + Revert "control: Add xkbset dependency (Closes #972621)" This is in
      universe in Ubuntu so we can't depend on it. It's silently skipped if
      not available.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 10:34:39 +0200

orca (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Sep 2025 14:18:58 +0200

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,8 @@
          python3-speechd,
          python3-dasbus,
          python3-dbus,
+         python3-setproctitle,
+         python3-psutil,
          speech-dispatcher,
          gsettings-desktop-schemas,
 Recommends: xbrlapi

## orca 49.3

=== debian/changelog ===
orca (49.3-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 13 Oct 2025 21:31:26 +0200

## orca 49.4

=== debian/changelog ===
orca (49.4-1ubuntu1) resolute; urgency=medium

  * Merge with debian (LP: #2130183). Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity.
    + Revert "control: Add xkbset dependency (Closes #972621)" This is in
      universe in Ubuntu so we can't depend on it. It's silently skipped if
      not available.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 11 Nov 2025 19:19:10 +0100

orca (49.4-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 17 Oct 2025 00:56:30 +0200

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-([\d.]+(?:\.alpha|\.beta|\.rc|))@ARCHIVE_EXT@

## orca 49.5

=== debian/changelog ===
orca (49.5-1~bpo13+1) trixie-backports; urgency=medium

  * Backport to trixie.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Dec 2025 09:12:14 +0100

orca (49.5-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Nov 2025 21:21:24 +0100

## orca 50~beta.4

=== debian/changelog ===
orca (50~beta.4-1) experimental; urgency=medium

  * New upstream beta release
    - control: Bump at-spi2 version accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Feb 2026 00:24:56 +0100

## orca 50~beta.7

=== debian/changelog ===
orca (50~beta.7-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity.
    + Revert "control: Add xkbset dependency (Closes #972621)" This is in
      universe in Ubuntu so we can't depend on it. It's silently skipped if
      not available.
  * d/p: Rebase Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Feb 2026 15:58:11 +0100

orca (50~beta.7-1) experimental; urgency=medium

  * New upstream beta release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Feb 2026 20:26:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                dh-sequence-python3,
                dh-sequence-gnome,
                gettext,
-               libatk-bridge2.0-dev (>= 2.50.0~),
-               libatspi2.0-dev (>= 2.50.0~),
+               libatk-bridge2.0-dev (>= 2.56.0~),
+               libatspi2.0-dev (>= 2.56.0~),
                libgstreamer1.0-dev,
                pkgconf,
                python3,
@@ -37,12 +37,12 @@
          gir1.2-pango-1.0,
          gir1.2-wnck-3.0,
          gir1.2-gstreamer-1.0, gstreamer1.0-plugins-good,
-         gir1.2-atspi-2.0 (>= 2.50.0~),
+         gir1.2-atspi-2.0 (>= 2.56.0~),
          python3-brlapi,
          python3-cairo,
          python3-gi,
          python3-louis,
-         at-spi2-core (>= 2.50.0~),
+         at-spi2-core (>= 2.56.0~),
          python3-speechd,
          python3-dasbus,
          python3-dbus,

## orca 50~rc

=== ci/requirements.txt ===
--- 
+++ 
@@ -7,4 +7,5 @@
 
 ruff
 mypy
+pylint
 types-psutil

=== debian/changelog ===
orca (50~rc-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity.
    + Revert "control: Add xkbset dependency (#972621)" This is in
      universe in Ubuntu so we can't depend on it. It's silently skipped if
      not available.
  * d/p: Rebase patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Mar 2026 15:26:14 +0100

orca (50~rc-1) experimental; urgency=medium

  * New upstream RC release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Mar 2026 22:46:10 +0100
